// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

var Cloud = require('ti.cloud');
Cloud.debug = true;

var win = Titanium.UI.createWindow({
	layout:'vertical',  
    backgroundColor:'#fff'
});


var login = Ti.UI.createTextField({
        hintText: 'Login',
        height: Ti.UI.SIZE,
        borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED,
        autocapitalization: Ti.UI.TEXT_AUTOCAPITALIZATION_NONE,
        autocorrect: false
});
win.add(login);

var password = Ti.UI.createTextField({
    hintText: 'Password',
    height: Ti.UI.SIZE,
    borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED,
    passwordMask: true
});
win.add(password);

var button = Ti.UI.createButton({
        title: 'Login User',
        height: Ti.UI.SIZE
});
win.add(button);


button.addEventListener('click', function(){
	Cloud.Users.login({
	    login: login.value,
	    password: password.value
	}, function (e) {
	    if (e.success) {
	        var user = e.users[0];
	        alert('Success:\\n' +
	            'id: ' + user.id + '\\n' +
	            'first name: ' + user.first_name + '\\n' +
	            'last name: ' + user.last_name);
	    } else {
	        alert('Error:\\n' +
	            ((e.error && e.message) || JSON.stringify(e)));
	    }
	})
});

win.open();

